   -- ExtraPlough
   -- 
   --
   -- @ Autor  Tobias F. (John Deere 6930) 
   -- @ Last Edit  21/07/2012

   ExtraPlough = {};

   function ExtraPlough.prerequisitesPresent(specializations)
    return true;
   end;

   function ExtraPlough:load(xmlFile)
	self.attacherPlough = nil;
	self.aiLeftMarkerBackUp = nil;
	self.aiRightMarkerBackUp = nil;
	self.aiBackMarkerBackUp = nil;
	self.cuttingAreasBackUp = nil;
   end;

   function ExtraPlough:delete()
   end;

   function ExtraPlough:mouseEvent(posX, posY, isDown, isUp, button)
   end;

   function ExtraPlough:keyEvent(unicode, sym, modifier, isDown)
   end;

   function ExtraPlough:update(dt)
   end;

   function ExtraPlough:updateTick(dt)
   end;
 
   function ExtraPlough:draw()
   end;

   function ExtraPlough:onAttach(attacherVehicle)
    --print("onAttach")
	self.attacherPlough = attacherVehicle;
	self.aiLeftMarkerBackUp = self.attacherPlough.aiLeftMarker;
	self.aiRightMarkerBackUp = self.attacherPlough.aiRightMarker;
	self.aiBackMarkerBackUp = self.attacherPlough.aiBackMarker;
	self.cuttingAreasBackUp = self.attacherPlough.cuttingAreas;
	self.attacherPlough.aiLeftMarker = self.aiLeftMarker;
	self.attacherPlough.aiRightMarker = self.aiRightMarker;
	self.attacherPlough.aiBackMarker = self.aiBackMarker;
	self.attacherPlough.cuttingAreas = self.cuttingAreas;
   end;

   function ExtraPlough:onDetach()
    --print("onDetach")
	self.attacherPlough.cuttingAreas = self.cuttingAreasBackUp
	self.attacherPlough.aiLeftMarker = self.aiLeftMarkerBackUp;
	self.attacherPlough.aiRightMarker = self.aiRightMarkerBackUp;
	self.attacherPlough.aiBackMarker = self.aiBackMarkerBackUp;
	self.attacherPlough = nil;
	self.aiLeftMarkerBackUp = nil;
	self.aiRightMarkerBackUp = nil;
	self.aiBackMarkerBackUp = nil;
	self.cuttingAreasBackUp = nil;
   end;